SP3光盘问题导致安装SLES8 SP3补丁的过程中提示rpm包不能被安装

发布时间:  2012-07-25 浏览次数:  66 下载次数:  0
问题描述

利用USB光驱,安装SLES8 SP3,执行脚本后,提示如下告警。

告警信息
Updating system to Service Pack 3 level ...
Rebuild RPM database ...
Package /media/cdrom/UnitedLinux/i586/k_smp.rpm already installed. Skipping ...
package glibc-2.2.5-213 is not installed
glibc  ################################
error: /media/cdrom/UnitedLinux/i586/sax2-4.7-196.i586.rpm cannot be installed
read failed: Input/output error (5)
error: /media/cdrom/UnitedLinux/i586/samba-vscan-0.3.2a-182.i586.rpm cannot be installed
error: failed dependencies:
        samba = 2.2.5 is needed by samba-vscan-0.2.5d-106
处理过程
1、 更换另外一个USB光驱,直接将 error 部分的rpm 包拷贝到硬盘,看能否读出来,如果可以说明是光驱的问题。
2、 更换另外一张 SP3 光盘,直接将 error 部分的rpm 包拷贝到硬盘,看能否读出来,如果可以说明是光盘的问题。现场更换 SP3 光盘后解决问题。
根因
从 error 的部分可以看出是读 rpm 包的时候出错,那么就可能是光驱或者光盘的质量问题。
建议与总结
针对 SP3 安装过程的出错需要具体问题具体分析,不能照搬。

END